#pragma inline
/*
 * TurboC++ 1.01 source.
 * Turn off the inactive display (if any); useful in two-monitor systems.
 * Can be used either as a subroutine or as a command.
 * Author: Greg Shenaut [71061,1324]
 * Released into the public domain; no restrictions on use.
 */
#include <dos.h>

#define EGA_ACTIVE (0==((*(char far *)0x487) & 8))

void
blother(void) {
	char c;
	unsigned x;

	/* see whether an EGA/VGA is present */
	asm mov bl,10h;
	asm mov ah,12h;
	asm int 10h;
	asm mov c,bl;
	if (c != 0x10 && !EGA_ACTIVE) {
		asm pushf;
		disable();
		(void)inportb(0x3ba);
		(void)inportb(0x3da);
		outportb(0x3c0,0);
		asm popf;
	}
	/* turn off the inactive nonEGA/VGA display (if any) */
	x = *(unsigned far *)0x463;
	x ^= 0x60;
	x += 4;
	outportb(x, 0);
}
#ifndef NOMAIN
void
main(void) {
	blother();
	exit(0);
}
#endif
